<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

class reviCurlModel
{
    private $REVI_API_URL = REVI_API_URL;

    public function __construct() {}

    public function reviCURL($url, $request_type = 'GET', $data = array(), $json_decode = true, $debug = false)
    {
        $url = $this->REVI_API_URL . $url;

        $headers = array(
            'Accept' => 'application/json',
            'Content-Type' => 'application/x-www-form-urlencoded',
            'X-API-KEY' => get_option('REVI_API_KEY'),
        );

        $options = array(
            'follow_redirects' => true, // Follow 3xx redirects?
            'timeout' => 30, // How long should we wait for a response?
            'connect_timeout' => 30, // How long should we wait while trying to connect?
        );

        $args = $options;
        $args['headers'] = $headers;
        $args['body'] = $data;

        if ($request_type == "GET") {
            $request = wp_remote_get($url, $args);
        } elseif ($request_type == "POST") {
            $request = wp_remote_post($url, $args);
        }

        if ($debug) {
            echo "<pre>";
            var_dump(wp_remote_retrieve_body($request));
            echo "</pre>";
        }

        $result_response = wp_remote_retrieve_body($request);
        if ($json_decode) {
            return json_decode($result_response);
        }
        return $result_response;
    }
}
