<?php

if (!defined('ABSPATH')) {
    exit;
}

add_shortcode("revi_load_styles", "revi_styles");

function revi_styles()
{
    $plugin_data = get_plugin_data(WP_PLUGIN_DIR . '/revi-io-customer-and-product-reviews/revi.php');
    wp_enqueue_style('inner_css', REVI_PLUGIN_URL . 'assets/css/front.css', [], $plugin_data['Version']);
}

function revi_scripts()
{
    $plugin_data = get_plugin_data(WP_PLUGIN_DIR . '/revi-io-customer-and-product-reviews/revi.php');
    wp_enqueue_script('revi-widgets-script', REVI_WIDGETS_URL . 'embed/widget.js', ['jquery'], $plugin_data['Version'], true);
}

function revi_register_query_var($vars)
{
    $vars[] = 'revi_page';
    return $vars;
}

function revi_template_include($template)
{
    if (isset($_GET['revi_page'])) {

        if (isset($_GET['revi_page']) && $_GET['revi_page'] == "sync") {
            require_once(REVI_DIR . 'controllers/sync.php');
            new revi_sync();
        }

        if (isset($_GET['revi_page']) && $_GET['revi_page'] == "log") {
            require_once(REVI_DIR . 'controllers/log.php');
            new revi_log();
        }

        if (isset($_GET['revi_page']) && $_GET['revi_page'] == "connection") {
            require_once(REVI_DIR . 'controllers/connection.php');
            new revi_connection();
        }
    }

    return $template;
}
