<?php

if (!defined('REVI_PLUGIN_LANGUAGE')) {
    if (function_exists('icl_object_id')) {
        define('REVI_PLUGIN_LANGUAGE', 'wpml');
    } elseif (function_exists('pll_count_posts')) {
        define('REVI_PLUGIN_LANGUAGE', 'polylang');
    } else {
        define('REVI_PLUGIN_LANGUAGE', '');
    }
}

$isoCode = 'en';
$isoCountry = '';

switch (REVI_PLUGIN_LANGUAGE) {
    case 'wpml':
        if (defined('ICL_LANGUAGE_CODE') && ICL_LANGUAGE_CODE) {
            $isoCode = ICL_LANGUAGE_CODE;
        }

        if (function_exists('wpml_get_language_information')) {
            $info = wpml_get_language_information(null);
            if (!is_wp_error($info) && !empty($info['country_code'])) {
                $isoCountry = $info['country_code'];
            }
        }
        break;

    case 'polylang':
        if (function_exists('pll_current_language')) {
            $isoCode = pll_current_language();
        }

        if (function_exists('pll_get_languages')) {
            $languages = pll_get_languages(['raw' => 1]);
            if (!empty($languages[$isoCode]['locale'])) {
                $parts = explode('_', $languages[$isoCode]['locale']);
                if (!empty($parts[1])) {
                    $isoCountry = $parts[1];
                }
            }
        }
        break;

    default:
        $isoCode = get_option('REVI_SELECTED_LANGUAGE') ?: get_option('REVI_LANG', 'en');
        break;
}

$isoCode = reviParseLang($isoCode);

if (!defined('REVI_ISO_CODE')) {
    define('REVI_ISO_CODE', $isoCode);
}
if (!defined('REVI_ISO_COUNTRY')) {
    define('REVI_ISO_COUNTRY', $isoCountry);
}
