<?php

add_action('init', 'revi_register_shortcodes');

function revi_register_shortcodes()
{
    $widgets = json_decode(get_option('REVI_WIDGETS'));

    if (!is_array($widgets)) return; // Evitar errores si la opción no está configurada correctamente

    foreach ($widgets as $widget) {
        $widgetTypeName = $widget->type->name;

        add_shortcode("revi_widget_{$widgetTypeName}", function ($atts) use ($widgetTypeName) {
            $atts = shortcode_atts(['id-product' => ''], $atts, "revi_widget_{$widgetTypeName}");

            $idProduct = $atts['id-product'] ?? null;

            $reviWidgetsClass = new reviWidgetsClass();
            return $reviWidgetsClass->loadReviWidget($widgetTypeName, [], $idProduct);
        });
    }
}


// PRODUCT STARS //DEPRECATED
add_shortcode("revi_product_right", "revi_widget_product_stars"); //DEPRECATED
add_shortcode("revi_widget_product_small", "revi_widget_product_stars"); //DEPRECATED
add_shortcode("revi_widget_product_stars", "revi_widget_product_stars");

function revi_widget_product_stars($atts)
{
    $atts = shortcode_atts(['id-product' => null], $atts, 'revi_widget_product_stars');

    $idProduct = !empty($atts['id-product']) ? $atts['id-product'] : null;

    $reviWidgetsClass = new reviWidgetsClass();
    return $reviWidgetsClass->loadReviWidget("stars", [], $idProduct);
}


// PRODUCT LIST
add_shortcode("revi_widget_product_list", "revi_widget_product_list");

function revi_widget_product_list($atts)
{
    $atts = shortcode_atts(['id-product' => null], $atts, 'revi_widget_product_stars');

    $idProduct = !empty($atts['id-product']) ? $atts['id-product'] : null;

    if (empty($idProduct)) {
        return;
    }

    $reviProductsModel = new reviProductsModel();
    $idProduct = $this->reviProductsModel->get_id_main_product($idProduct);
    $productInfo = $reviProductsModel->getReviProduct($idProduct);

    $REVI_DISPLAY_PRODUCT_LIST_ALIGN = get_option('REVI_DISPLAY_PRODUCT_LIST_ALIGN');
    $REVI_DISPLAY_PRODUCT_LIST_EMPTY = get_option('REVI_DISPLAY_PRODUCT_LIST_EMPTY');
    $REVI_DISPLAY_PRODUCT_LIST_BLANK_SPACE = get_option('REVI_DISPLAY_PRODUCT_LIST_BLANK_SPACE') ?? 1;
    $REVI_DISPLAY_PRODUCT_LIST_TEXT = get_option('REVI_DISPLAY_PRODUCT_LIST_TEXT');

    include REVI_DIR . 'templates/hook/product_list.php';
}
