<form method="post">

    <div class="form-group">
        <button type="submit" name="submitConfiguration" class="btn btn-primary revi_button revi_button_small">
            <span class="dashicons dashicons-saved"></span>
            <?php esc_html_e('Save', 'revi-io-customer-and-product-reviews') ?>
        </button>
    </div>

    <div class="form-group">
        <label>
            <?= esc_html__('API KEY', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <input class="form-control" type="text" size="30" name="REVI_API_KEY" value="<?= esc_attr(get_option('REVI_API_KEY')) ?>" placeholder="API KEY" />
    </div>
    <div class="form-group">
        <label>
            <?= esc_html__('Order Status', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <select name="REVI_ORDER_STATUSES[]" class="form-control" multiple>
            <?php foreach ($allStatuses as $key => $value) : ?>
                <option value="<?= esc_attr($key) ?>" <?= !empty($statusSelected[$key]) ? 'selected' : '' ?>>
                    <?= esc_html($value) ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <div class="form-group">
        <label>
            <?= esc_html__('Default Language', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <select class="form-control" name="REVI_SELECTED_LANGUAGE">
            <?php foreach ($REVI_ACTIVE_LANGUAGES as $revi_language) : ?>
                <option value="<?= esc_attr($revi_language->iso_code) ?>" <?= ($revi_language->iso_code == $REVI_SELECTED_LANGUAGE) ? 'selected' : '' ?>>
                    <?= esc_html($revi_language->name) ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>

    <div class="form-group">
        <label>
            <?= esc_html__('Display Floating widget', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <select class="form-control" name="REVI_DISPLAY_WIDGET_FLOATING">
            <option value="0" <?= ($REVI_DISPLAY_WIDGET_FLOATING == 0) ? 'selected' : '' ?>>
                <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
            </option>
            <option value="1" <?= ($REVI_DISPLAY_WIDGET_FLOATING) ? 'selected' : '' ?>>
                <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
            </option>
        </select>
    </div>

    <div class="form-group">
        <label>
            <?= esc_html__('Display native WooCommerce reviews', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <select class="form-control" name="REVI_WOOCOMMERCE_REVIEWS">
            <option value="0" <?= ($REVI_WOOCOMMERCE_REVIEWS == 0) ? 'selected' : '' ?>>
                <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
            </option>
            <option value="1" <?= ($REVI_WOOCOMMERCE_REVIEWS) ? 'selected' : '' ?>>
                <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
            </option>
        </select>
    </div>

    <div class="form-group">
        <label>
            <?= esc_html__('Sync product description', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <select class="form-control" name="REVI_SYNC_PRODUCT_DESCRIPTION">
            <option value="0" <?= ($REVI_SYNC_PRODUCT_DESCRIPTION == 0) ? 'selected' : '' ?>>
                <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
            </option>
            <option value="1" <?= ($REVI_SYNC_PRODUCT_DESCRIPTION) ? 'selected' : '' ?>>
                <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
            </option>
        </select>
    </div>

    <div class="form-group">
        <label class="label-title">
            <?= esc_html__('Product List Settings', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <div class="card p-3">

            <div class="form-group">
                <label>
                    <?= esc_html__('Align review stars', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_DISPLAY_PRODUCT_LIST_ALIGN">
                    <option value="center" <?= ($REVI_DISPLAY_PRODUCT_LIST_ALIGN == 'center') ? 'selected' : '' ?>>
                        <?= esc_html__('center', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="left" <?= ($REVI_DISPLAY_PRODUCT_LIST_ALIGN == 'left') ? 'selected' : '' ?>>
                        <?= esc_html__('left', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Display review stars when no reviews', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_DISPLAY_PRODUCT_LIST_EMPTY">
                    <option value="0" <?= ($REVI_DISPLAY_PRODUCT_LIST_EMPTY) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_PRODUCT_LIST_EMPTY == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('When no reviews, display blank space', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_DISPLAY_PRODUCT_LIST_BLANK_SPACE">
                    <option value="0" <?= ($REVI_DISPLAY_PRODUCT_LIST_BLANK_SPACE) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_PRODUCT_LIST_BLANK_SPACE == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Display number of reviews', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_DISPLAY_PRODUCT_LIST_TEXT">
                    <option value="0" <?= ($REVI_DISPLAY_PRODUCT_LIST_TEXT) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_PRODUCT_LIST_TEXT == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

        </div>
    </div>

    <div class="form-group">
        <label class="label-title">
            <?= esc_html__('Product Page Settings', 'revi-io-customer-and-product-reviews') ?>
        </label>
        <div class="card p-3">

            <div class="form-group">
                <label>
                    <?= esc_html__('Product Extra Meta Data', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_PRODUCT_METADATA">
                    <option value="0" <?= ($REVI_PRODUCT_METADATA == 0) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_PRODUCT_METADATA) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Product reviews widget position', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_TAB_REVIEWS">
                    <option value="0" <?= ($REVI_TAB_REVIEWS == 0) ? 'selected' : '' ?>>
                        <?= esc_html__('Footer Reviews', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_TAB_REVIEWS) ? 'selected' : '' ?>>
                        <?= esc_html__('Tab Reviews', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Reviews stars widget position', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_PRODUCT_STARS_POSITION">
                    <option value="0" <?= ($REVI_PRODUCT_STARS_POSITION) ? 'selected' : '' ?>>
                        <?= esc_html__('Single product summary', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_PRODUCT_STARS_POSITION == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Before add to cart', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Display product reviews widget when no reviews', 'revi-io-customer-and-product-reviews') ?>
                </label>
                <select class="form-control" name="REVI_DISPLAY_WIDGET_WITHOUT_REVIEWS">
                    <option value="0" <?= ($REVI_DISPLAY_WIDGET_WITHOUT_REVIEWS) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_WIDGET_WITHOUT_REVIEWS == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Display questions widget', 'revi-io-customer-and-product-reviews') ?>
                    <span class="badge badge-success"><?= esc_html__('Premium', 'revi-io-customer-and-product-reviews') ?></span>
                </label>
                <select class="form-control" name="REVI_DISPLAY_WIDGET_QUESTIONS_BIG">
                    <option value="0" <?= ($REVI_DISPLAY_WIDGET_QUESTIONS_BIG) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_WIDGET_QUESTIONS_BIG == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

            <div class="form-group">
                <label>
                    <?= esc_html__('Display questions widget small', 'revi-io-customer-and-product-reviews') ?>
                    <span class="badge badge-success"><?= esc_html__('Premium', 'revi-io-customer-and-product-reviews') ?></span>
                </label>
                <select class="form-control" name="REVI_DISPLAY_WIDGET_QUESTIONS_SMALL">
                    <option value="0" <?= ($REVI_DISPLAY_WIDGET_QUESTIONS_SMALL) ? 'selected' : '' ?>>
                        <?= esc_html__('No', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                    <option value="1" <?= ($REVI_DISPLAY_WIDGET_QUESTIONS_SMALL == 1) ? 'selected' : '' ?>>
                        <?= esc_html__('Yes', 'revi-io-customer-and-product-reviews') ?>
                    </option>
                </select>
            </div>

        </div>
    </div>

    <div class="form-group">
        <button type="submit" name="submitConfiguration" class="btn btn-primary revi_button revi_button_small">
            <span class="dashicons dashicons-saved"></span>
            <?php esc_html_e('Save', 'revi-io-customer-and-product-reviews') ?>
        </button>
    </div>
</form>