<div class="row mb-4">
    <div class="col-12 col-md-6 text-center text-md-left">
        <a href="<?= esc_url($REVI_UGC_URL) ?>" class="btn btn-primary w-100">
            <span class="dashicons dashicons-external"></span>
            <?= esc_html__('Go to Dashboard', 'revi-io-customer-and-product-reviews') ?>
        </a>
    </div>

    <div class="col-12 col-md-6 text-center text-md-left">
        <a href="<?= esc_url($REVI_SUPPORT_URL) ?>" class="btn btn-secondary w-100">
            <span class="dashicons dashicons-editor-help"></span>
            <?= esc_html__('Support Center', 'revi-io-customer-and-product-reviews') ?>
        </a>
    </div>
</div>

<div class="row mb-4">
    <div class="col-12 text-center text-md-left">
        <label><?= esc_html__('Current subscription:', 'revi-io-customer-and-product-reviews') ?></label>
        <span class="badge badge-<?= esc_html(strtolower($subscriptionName)) ?>">
            <?= esc_html(strtoupper($subscriptionName))  ?>
        </span>
    </div>
</div>

<div class="row mb-4">
    <div class="col-6 col-md-6">
        <label><?= esc_html__('Data pending to sync', 'revi-io-customer-and-product-reviews') ?></label>
        <ul>
            <li> <?= esc_html__('Pending products', 'revi-io-customer-and-product-reviews') ?>: <?= esc_html($numProductsLeft) ?></li>
            <li> <?= esc_html__('Pending orders', 'revi-io-customer-and-product-reviews') ?>: <?= esc_html($numOrdersLeft) ?></li>
        </ul>
        <a target="_blank" href="<?= esc_url($domain) ?>/index.php?revi_page=sync&random=<?= esc_html($randomStr) ?>"
            class="btn btn-secondary">
            <i class="material-icons md48"></i>
            <?= esc_html__('Sync', 'revi-io-customer-and-product-reviews') ?>
        </a>
    </div>
</div>

<div class="row mb-4">
    <div class="col-12 text-center text-md-left">
        <label> <?= esc_html__('Automatic Syncronization', 'revi-io-customer-and-product-reviews') ?> </label>

        <p> <?= esc_html__('To keep your store information synchronized with Revi, set up the following cron tasks on your server to run every 12 or 24 hours.', 'revi-io-customer-and-product-reviews') ?> </p>
        <p><?= esc_html__('This will ensure that the data is updated automatically and without interruptions.', 'revi-io-customer-and-product-reviews') ?></p>
        <div class="widget-installation-code-container">
            <code>
                <p><?= esc_html__('Cron job command', 'revi-io-customer-and-product-reviews') ?> <button id="module-btn" onclick="copyToClipboard('module-url', 'module-btn')"><span class="dashicons dashicons-admin-page"></span></button></p>
                <div>
                    <span id="module-url">curl -s -L "<?= esc_url($domain) ?>/index.php?revi_page=sync" > /dev/null 2>&1 &</span>
                </div>
            </code>
        </div>
    </div>
</div>


<script type="text/javascript">
    function copyToClipboard(elementId, buttonId) {
        const text = document.getElementById(elementId).textContent;
        const button = document.getElementById(buttonId);

        navigator.clipboard.writeText(text)
            .then(() => {
                button.innerHTML = '<span class="dashicons dashicons-saved"></span>';
                setTimeout(() => {
                    button.innerHTML = '<span class="dashicons dashicons-admin-page"></span>';
                }, 2000);
            })
            .catch(err => console.error('Error al copiar:', err));
    }
</script>